package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.CompanyUserDataModel;
import com.lightinit.hsdataplatform.model.admin.CompanyUserListModel;
import com.lightinit.hsdataplatform.model.admin.CompanyUserSearchModel;

import java.util.List;

public interface IUserCompanyService {
    List<CompanyUserListModel> queryList(CompanyUserSearchModel inputModel);

    long queryCount(CompanyUserSearchModel inputModel);

    CompanyUserDataModel queryOne(Long id);

    ResultState edit(CompanyUserDataModel inputModel, int param);
}
